BACKUP_DBVERIFY(8)

NAME
backup_dbverify - Checks the integrity of the Backup Database

SYNOPSIS
backup dbverify [-detail] [-localauth]
    [B<-cell> <I<cell name>>]
    [-help]

backup db [-d] [-l] [B<-c> <I<cell name>>] [-h]

DESCRIPTION
The backup dbverify command checks the integrity of the Backup Database. The command's output indicates whether the Backup Database is damaged (data is corrupted) or not. If the Backup Database is undamaged, it is safe to continue using it. If it is corrupted, discontinue any backup operations until it is repaired.

CAUTIONS
While this command runs, no other backup operation can access the Backup Database; the other commands do not run until this command completes. Avoid issuing this command when other backup operations are likely to run. The backup savedb command repairs some types of corruption.

OPTIONS

-detail
    Reports the number of orphaned blocks found, any inconsistencies, and the name of the server machine running the Backup Server that is checking its copy of the database.

-localauth
    Constructs a server ticket using a key from the local /usr/local/etc/openafs/server/KeyFile file. The backup command interpreter presents it to the Backup Server, Volume Server and VL Server during mutual authentication. Do not combine this flag with the -cell argument. For more details, see backup(8).

-cell <cell name>
    Names the cell in which to run the command. Do not combine this argument with the -localauth flag. For more details, see backup(8).

-help
    Prints the online help for this command. All other valid options are ignored.

OUTPUT
The command displays one of the following two messages:

Database OK
    The database is undamaged and can be used.

Database not OK
    The database is damaged. You can use the backup savedb command to repair many kinds of corruption as it creates a backup copy. For more detailed instructions, see the OpenAFS Administration Guide chapter about performing backup operations.

The -detail flag provides additional information:

•   The number of orphan blocks found. These are ranges of memory that the Backup Server preallocated in the database but cannot use. Orphan blocks do not interfere with database access, but do waste disk space. To free the unusable space, dump the database to tape by using the backup savedb command, and then restore it by using the backup restoredb command.

•   Any inconsistencies in the database, such as invalid hostnames for Tape Coordinator machines.

•   The name of the database server machine on which the Backup Database was checked, designated as the "Database checker". For a detailed trace of the verification operation, see the /var/openafs/logs/BackupLog file on the indicated machine. You can use the bos getlog command to display it.

EXAMPLES
The following command confirms that the Backup Database is undamaged:

   % backup dbverify
   Database OK

The following command confirms that the Backup Database is undamaged and that it has no orphan blocks or invalid Tape Coordinator entries. The Backup Server running on the machine "db1.abc.com" checked its copy of the Database.

   % backup dbverify -detail
   Database OK
   Orphan blocks 0
   Database checker was db1.abc.com

PRIVILEGE REQUIRED
The issuer must be listed in the /usr/local/etc/openafs/server/UserList file on every machine where the Backup Server is running, or must be logged onto a server machine as the local superuser "root" if the -localauth flag is included.

SEE ALSO
BackupLog(5), backup(8), backup_restoredb(8), backup_savedb(8), bos_getlog(8)

COPYRIGHT
IBM Corporation 2000. <http://www.ibm.com/> All Rights Reserved.

This documentation is covered by the IBM Public License Version 1.0. It was converted from HTML to POD by software written by Chas Williams and Russ Allbery, based on work by Alf Wachsmann and Elizabeth Cassell.